Package com.collabnet.ce.soap60.webservices.planning

# Class PlanningAppSoap

java.lang.Object
com.collabnet.ce.soap60.webservices.WebService
com.collabnet.ce.soap60.webservices.planning.PlanningAppSoap

All Implemented Interfaces:
  `IPlanningAppSoap`

public class PlanningAppSoap extends WebService implements IPlanningAppSoap
Provides SOAP services for managing planning folders.

Change History

Version 8.2

- createPlanningFolder5: Adds planning folder type.
- getPlanningFolder5Data: Adds planning folder type.
- getPlanningFolderSummary5: Adds planning folder type.
- getPlanningFolderSummary5List: Adds planning folder type.
- setPlanningFolder5Data: Adds planning folder type.
- getPlanningFolder5List: Adds planning folder type.
- movePlanningFolder5: Adds planning folder type.

*
Version 8.0

- getArtifactListInPlanningFolder2: Adds team and autoSummingPoints field.
- getRankedArtifactList2: Adds team and autoSummingPoints field.

Version 7.2

- createPlanningFolder4: Adds burndownViewMode field.
- getPlanningFolder4Data: Adds burndownViewMode field.
- getPlanningFolderSummary4: Adds burndownViewMode field.
- getPlanningFolderSummary4List: Adds burndownViewMode field.
- setPlanningFolder4Data: Adds burndownViewMode field.
- getPlanningFolder4List: Adds burndownViewMode field.
- movePlanningFolder4: Adds burndownViewMode field.

Version 7.1

- createPlanningFolder3: Adds points capacity.
- getPlanningFolder3Data: Adds points capacity.
- getPlanningFolderSummary3: Adds points capacity.
- getPlanningFolderSummary3List: Adds points capacity.
- setPlanningFolder3Data: Adds points capacity.
- getPlanningFolder3List: Adds points capacity.
- movePlanningFolder3: Adds points capacity.

Version 6.2

- createPlanningFolder2: Adds tracker unit.
- getPlanningFolder2Data: Adds tracker unit.
- getPlanningFolderSummary2: Adds tracker unit and story points on open artifacts.
- getPlanningFolderSummary2List: Adds tracker unit and story points on open artifacts.
- setPlanningFolder2Data: Adds tracker unit.
- getPlanningFolder2List: Adds tracker unit.
- movePlanningFolder2: Adds tracker unit.

Version 6.1

- createPlanningFolder2: Removed and merged into createPlanningFolder.
- getPlanningFolder2Data: Removed and merged into getPlanningFolderData.
- getPlanningFolderSummary2: Removed and merged into getPlanningFolderSummary.
- getPlanningFolderSummary2List: Removed and merged into getPlanningFolderSummaryList.
- setPlanningFolder2Data: Removed and merged into setPlanningFolderData.
- getPlanningFolder2List: Removed and merged into getPlanningFolderList.
- getArtifactListInPlanningFolder2: Removed and merged into getArtifactListInPlanningFolder.
- movePlanningFolder2: Removed and merged into movePlanningFolder.

Version 5.4

- getRankedArtifactList: Added to 5.4 to get the list of artifacts that are assigned to a planning folder or its descendents with their rank in the associated planning folder. It will retrieve the children of the artifacts as well.
- createPlanningFolder2: Added in 5.4 to create new `PlanningFolder2Soap` objects.
- getPlanningFolder2Data: Added in 5.4 to return new `PlanningFolder2Soap` objects.
- getPlanningFolderSummary2: Added in 5.4 to return new `PlanningFolderSummary2Soap` objects.
- getPlanningFolderSummary2List: Added in 5.4 to return new `PlanningFolderSummary2List` objects.
- setPlanningFolder2Data: Added in 5.4 to set new `PlanningFolder2Data` objects.
- getPlanningFolder2List: Added in 5.4 to get new `PlanningFolder2List` objects.
- movePlanningFolder2: Added in 5.4 to move and get new `PlanningFolder2Soap` object.
- setPlanningStatusValues: Added in 5.4 to define status values for the planning application.
- getPlanningStatusValues: Added in 5.4 to get status values for the planning application.
- getArtifactListInPlanningFolder2: Added in 5.4 to use the get ArtifactsInPlanningFolder2SoapList. The change to the previous is that the new list adds the story points field and the release ids.

Since:
  5.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlanningAppSoap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlanningFolderSoapDO`
  `createPlanningFolder(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId)`
  Deprecated.
  in favor of createPlanningFolder4
  `PlanningFolder2SoapDO`
  `createPlanningFolder2(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId, String trackerUnitId)`
  Deprecated.
  in favor of createPlanningFolder4
  `PlanningFolder3SoapDO`
  `createPlanningFolder3(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId)`
  Deprecated.
  in favor of createPlanningFolder4
  `PlanningFolder4SoapDO`
  `createPlanningFolder4(String sessionId, String parentId, PlanningFolder4SoapDO soapDO)`
  Deprecated.
  in favor of createPlanningFolder5
  `PlanningFolder5SoapDO`
  `createPlanningFolder5(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode)`
  Creates a new planning folder
  `void`
  `deletePlanningFolder(String sessionId, String planningFolderId)`
  Deletes a planning folder with the specified id.
  `ArtifactsInPlanningFolderSoapList`
  `getArtifactListInPlanningFolder(String sessionId, String parentId, SoapFilter[] filters, boolean recursive)`
  Deprecated.
  in favor of getArtifactListInPlanningFolder2
  `ArtifactsInPlanningFolder2SoapList`
  `getArtifactListInPlanningFolder2(String sessionId, String parentId, SoapFilter[] filters, boolean recursive)`
  Returns the list of artifacts contained in a planning folder or its descendants.
  `ArtifactsInPlanningFolder2SoapList`
  `getArtifactListInPlanningFolder3(String sessionId, String parentId, SoapFilter[] filters, boolean recursive, String[] teamId)`
  Returns the list of artifacts contained in a planning folder or its descendants.
  `PlanningFolder2SoapDO`
  `getPlanningFolder2Data(String sessionId, String planningFolderId)`
  Deprecated.
  in favor of getPlanningFolder4Data.
  `PlanningFolder2SoapList`
  `getPlanningFolder2List(String sessionId, String parentId, boolean recursive)`
  Deprecated.
  in favor of getPlanningFolder4List
  `PlanningFolder3SoapDO`
  `getPlanningFolder3Data(String sessionId, String planningFolderId)`
  Deprecated.
  in favor of getPlanningFolder4Data.
  `PlanningFolder3SoapList`
  `getPlanningFolder3List(String sessionId, String parentId, boolean recursive)`
  Deprecated.
  in favor of getPlanningFolder4List
  `PlanningFolder4SoapDO`
  `getPlanningFolder4Data(String sessionId, String planningFolderId)`
  Deprecated.
  in favor of getPlanningFolder5Data.
  `PlanningFolder4SoapList`
  `getPlanningFolder4List(String sessionId, String parentId, boolean recursive)`
  Returns the list of planning folders within the specified project.
  `PlanningFolder5SoapDO`
  `getPlanningFolder5Data(String sessionId, String planningFolderId)`
  Returns a data object for a given planning folder
  `PlanningFolder5SoapList`
  `getPlanningFolder5List(String sessionId, String parentId, boolean recursive)`
  Returns the list of planning folders within the specified project.
  `PlanningFolderSoapDO`
  `getPlanningFolderData(String sessionId, String planningFolderId)`
  Deprecated.
  in favor of getPlanningFolder4Data.
  `PlanningFolderSoapList`
  `getPlanningFolderList(String sessionId, String parentId, boolean recursive)`
  Deprecated.
  in favor of getPlanningFolder4List
  `PlanningFolderSummarySoapDO`
  `getPlanningFolderSummary(String sessionId, String planningFolderId)`
  Deprecated.
  in favor of getPlanningFolderSummary4
  `PlanningFolderSummary2SoapDO`
  `getPlanningFolderSummary2(String sessionId, String planningFolderId)`
  Deprecated.
  in favor of getPlanningFolderSummary4
  `PlanningFolderSummary2SoapList`
  `getPlanningFolderSummary2List(String sessionId, String parentId, boolean recursive)`
  Deprecated.
  in favor of getPlanningFolderSummary4List
  `PlanningFolderSummary3SoapDO`
  `getPlanningFolderSummary3(String sessionId, String planningFolderId)`
  Deprecated.
  in favor of getPlanningFolderSummary4
  `PlanningFolderSummary3SoapList`
  `getPlanningFolderSummary3List(String sessionId, String parentId, boolean recursive)`
  Deprecated.
  in favor of getPlanningFolderSummary4List
  `PlanningFolderSummary4SoapDO`
  `getPlanningFolderSummary4(String sessionId, String planningFolderId)`
  Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
  `PlanningFolderSummary4SoapList`
  `getPlanningFolderSummary4List(String sessionId, String parentId, boolean recursive)`
  Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
  `PlanningFolderSummary5SoapDO`
  `getPlanningFolderSummary5(String sessionId, String planningFolderId)`
  Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
  `PlanningFolderSummary5SoapList`
  `getPlanningFolderSummary5List(String sessionId, String parentId, boolean recursive)`
  Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
  `PlanningFolderSummarySoapList`
  `getPlanningFolderSummaryList(String sessionId, String parentId, boolean recursive)`
  Deprecated.
  in favor of getPlanningFolderSummary4List
  `PlanningStatusValueSoapDO[]`
  `getPlanningStatusValues(String sessionId, String projectId)`
  Gets status values for the planning application of a specific project.
  `RankedArtifactSoapList`
  `getRankedArtifactList(String sessionId, String planningFolderId)`
  Deprecated.
  in favor of getRankedArtifactList2
  `RankedArtifact2SoapList`
  `getRankedArtifactList2(String sessionId, String planningFolderId)`
  Returns the list of artifacts assigned to a planning folder or its descendants with the rank information in the specified planning folder
  `PlanningFolderSoapDO`
  `movePlanningFolder(String sessionId, String planningFolderId, String destParentId)`
  Deprecated.
  in favor of movePlanningFolder5
  `PlanningFolder2SoapDO`
  `movePlanningFolder2(String sessionId, String planningFolderId, String destParentId)`
  Deprecated.
  in favor of movePlanningFolder5
  `PlanningFolder3SoapDO`
  `movePlanningFolder3(String sessionId, String planningFolderId, String destParentId)`
  Deprecated.
  in favor of movePlanningFolder5
  `PlanningFolder4SoapDO`
  `movePlanningFolder4(String sessionId, String planningFolderId, String destParentId)`
  Deprecated.
  in favor of movePlanningFolder5
  `PlanningFolder5SoapDO`
  `movePlanningFolder5(String sessionId, String planningFolderId, String destParentId)`
  Moves a Planning Folder including its sub folders and contents.
  `void`
  `reorderPlanningFolders(String sessionId, String parentId, String[] planningFolderIds)`
  Sets a new order for the planning folders in their parent folder.
  `void`
  `setPlanningFolder2Data(String sessionId, PlanningFolder2SoapDO planningFolderData)`
  Deprecated.
  in favor of setPlanningFolder4Data
  `void`
  `setPlanningFolder3Data(String sessionId, PlanningFolder3SoapDO planningFolderData)`
  Deprecated.
  in favor of setPlanningFolder4Data
  `void`
  `setPlanningFolder4Data(String sessionId, PlanningFolder4SoapDO planningFolderData)`
  Deprecated.
  in favor of setPlanningFolder5Data
  `void`
  `setPlanningFolder5Data(String sessionId, PlanningFolder5SoapDO planningFolderData)`
  Sets data on a specific planning folder.
  `void`
  `setPlanningFolderData(String sessionId, PlanningFolderSoapDO planningFolderData)`
  Deprecated.
  in favor of setPlanningFolder4Data
  `void`
  `setPlanningStatusValues(String sessionId, String projectId, PlanningStatusValueSoapDO[] statusValues)`
  Sets status values that is associated with the planning application of a specific project.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.WebService

  `assertNormalProject, assertProjectGroup, canGiveFullUserDetails, checkGeneralPermission, checkPermission, checkPermission, checkSiteWidePermission, createUserSessionKey, downloadFile, filterInvalidProjMembers, generateFolderName, getAccessControlService, getApplicationRegistryService, getAttachment, getAuthenticationService, getCategorization, getCoreService, getDiscussion, getDocMan, getDocumentRootFolder, getFileStorageService, getFolderKey, getFolderPath, getFolderPath, getFolderPath, getFrs, getIntegrationData, getItemPath, getItemPath, getLocale, getMonitoring, getNews, getNulledMinSoapDate, getObjectKey, getObjectPath, getOperation, getPages, getPlanning, getPluggableComponent, getProjectId, getProjectPath, getProjectPath, getRbac, getSearch, getStoredFileSize, getStoredFileText, getTagService, getTeam, getTemplate, getTracker, getUser, getUserData, getUsername, getUserService, getWiki, hasPermission, hasSiteWidePermission, isFolderResource, isProjectGroup, isProjectId, isStrEmpty, isSuperUser, isValidEmail, makeStoredFileDO, makeStoredFileDOs, requireProjectAdminPermission, setPartialOrFullUserData, setUserNameToResponse, storeFile, storeTextFile, validateChoice, validateChoice, validateIconFile, validateString, validateStringArray, validateStringWithTrim, validateTokenAndExactUsername, validateTokenAndExactUsername, validateWikiPageName, verifyLicense`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlanningAppSoap

    public PlanningAppSoap()

- ## Method Details

  - ### createPlanningFolder

    @Deprecated public PlanningFolderSoapDO createPlanningFolder(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault
    Deprecated.
    in favor of createPlanningFolder4
    Creates a new planning folder
    Specified by:
      `createPlanningFolder` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - The id of the project under which to create a new top-level planning folder or the id of the planning folder under which to create the new planning folder
      `title` - The title of the new planning folder
      `description` - The description of the new planning folder
      `startDate` - The start date of the new planning folder
      `endDate` - The end date of the new planning folder
      `status` - The status of the new planning folder
      `capacity` - The capacity of the new planning folder
      `releaseId` - The release which is associated with the new planning folder
    Returns:
      the planning folder soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent.
      `IllegalArgumentFault` - if invalid argument value was supplied.
    Since:
      5.3

  - ### createPlanningFolder2

    @Deprecated public PlanningFolder2SoapDO createPlanningFolder2(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId, String trackerUnitId) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault
    Deprecated.
    in favor of createPlanningFolder4
    Creates a new planning folder
    Specified by:
      `createPlanningFolder2` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - The id of the project under which to create a new top-level planning folder or the id of the planning folder under which to create the new planning folder
      `title` - The title of the new planning folder
      `description` - The description of the new planning folder
      `startDate` - The start date of the new planning folder
      `endDate` - The end date of the new planning folder
      `status` - The status of the new planning folder
      `capacity` - The capacity of the new planning folder
      `releaseId` - The release which is associated with the new planning folder
      `trackerUnitId` - The tracker unit id
    Returns:
      the planning folder soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent.
      `IllegalArgumentFault` - if invalid argument value was supplied.
    Since:
      6.2

  - ### createPlanningFolder3

    @Deprecated public PlanningFolder3SoapDO createPlanningFolder3(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault
    Deprecated.
    in favor of createPlanningFolder4
    Creates a new planning folder
    Specified by:
      `createPlanningFolder3` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - The id of the project under which to create a new top-level planning folder or the id of the planning folder under which to create the new planning folder
      `title` - The title of the new planning folder
      `description` - The description of the new planning folder
      `startDate` - The start date of the new planning folder
      `endDate` - The end date of the new planning folder
      `status` - The status of the new planning folder
      `capacity` - The efforts capacity of the new planning folder
      `pointsCapacity` - The points capacity of the new planning folder
      `releaseId` - The release which is associated with the new planning folder
      `trackerUnitId` - The tracker unit id
    Returns:
      the planning folder soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent.
      `IllegalArgumentFault` - if invalid argument value was supplied.
    Since:
      7.1

  - ### createPlanningFolder4

    @Deprecated public PlanningFolder4SoapDO createPlanningFolder4(String sessionId, String parentId, PlanningFolder4SoapDO soapDO) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault
    Deprecated.
    in favor of createPlanningFolder5
    Creates a new planning folder
    Specified by:
      `createPlanningFolder4` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - The id of the project under which to create a new top-level planning folder or the id of the planning folder under which to create the new planning folder
      `soapDO` - a `PlanningFolder4SoapDO` object
    Returns:
      the planning folder soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent.
      `IllegalArgumentFault` - if invalid argument value was supplied.
    Since:
      7.2

  - ### createPlanningFolder5

    public PlanningFolder5SoapDO createPlanningFolder5(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault
    Creates a new planning folder
    Specified by:
      `createPlanningFolder5` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - The id of the project under which to create a new top-level planning folder or the id of the planning folder under which to create the new planning folder
      `type` - The type of the new planning folder
      `title` - The title of the new planning folder
      `description` - The description of the new planning folder
      `startDate` - The start date of the new planning folder
      `endDate` - The end date of the new planning folder
      `status` - The status of the new planning folder
      `capacity` - The efforts capacity of the new planning folder
      `pointsCapacity` - The points capacity of the new planning folder
      `releaseId` - The release which is associated with the new planning folder
      `trackerUnitId` - The tracker unit id
      `burndownViewMode` - The burn down view mode
    Returns:
      the planning folder soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent.
      `IllegalArgumentFault` - if invalid argument value was supplied.
    Since:
      8.2

  - ### getPlanningFolderData

    @Deprecated public PlanningFolderSoapDO getPlanningFolderData(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolder4Data.
    Returns a data object for a given planning folder
    Specified by:
      `getPlanningFolderData` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Detailed data on the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
    Since:
      5.3

  - ### getPlanningFolder2Data

    @Deprecated public PlanningFolder2SoapDO getPlanningFolder2Data(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolder4Data.
    Returns a data object for a given planning folder
    Specified by:
      `getPlanningFolder2Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Detailed data on the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
    Since:
      6.2

  - ### getPlanningFolder3Data

    @Deprecated public PlanningFolder3SoapDO getPlanningFolder3Data(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolder4Data.
    Returns a data object for a given planning folder
    Specified by:
      `getPlanningFolder3Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Detailed data on the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
    Since:
      7.1

  - ### getPlanningFolder4Data

    @Deprecated public PlanningFolder4SoapDO getPlanningFolder4Data(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolder5Data.
    Returns a data object for a given planning folder
    Specified by:
      `getPlanningFolder4Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Detailed data on the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
    Since:
      7.2

  - ### getPlanningFolder5Data

    public PlanningFolder5SoapDO getPlanningFolder5Data(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Returns a data object for a given planning folder
    Specified by:
      `getPlanningFolder5Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Detailed data on the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
    Since:
      8.2

  - ### getPlanningFolderSummary

    @Deprecated public PlanningFolderSummarySoapDO getPlanningFolderSummary(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolderSummary4
    Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
    Specified by:
      `getPlanningFolderSummary` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Statistics for the artifacts in the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
    Since:
      5.3

  - ### getPlanningFolderSummary2

    @Deprecated public PlanningFolderSummary2SoapDO getPlanningFolderSummary2(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolderSummary4
    Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
    Specified by:
      `getPlanningFolderSummary2` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Statistics for the artifacts in the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
    Since:
      6.2

  - ### getPlanningFolderSummary3

    @Deprecated public PlanningFolderSummary3SoapDO getPlanningFolderSummary3(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolderSummary4
    Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
    Specified by:
      `getPlanningFolderSummary3` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Statistics for the artifacts in the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
    Since:
      7.1

  - ### getPlanningFolderSummary4

    public PlanningFolderSummary4SoapDO getPlanningFolderSummary4(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
    Specified by:
      `getPlanningFolderSummary4` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Statistics for the artifacts in the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
    Since:
      7.2

  - ### getPlanningFolderSummary5

    public PlanningFolderSummary5SoapDO getPlanningFolderSummary5(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
    Specified by:
      `getPlanningFolderSummary5` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - PlanningFolder id.
    Returns:
      Statistics for the artifacts in the PlanningFolder.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when argument is invalid.
    Since:
      8.2

  - ### getPlanningFolderSummaryList

    @Deprecated public PlanningFolderSummarySoapList getPlanningFolderSummaryList(String sessionId, String parentId, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolderSummary4List
    Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
    Specified by:
      `getPlanningFolderSummaryList` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid argument value is passed.
    Since:
      5.3

  - ### getPlanningFolderSummary2List

    @Deprecated public PlanningFolderSummary2SoapList getPlanningFolderSummary2List(String sessionId, String parentId, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolderSummary4List
    Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
    Specified by:
      `getPlanningFolderSummary2List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid argument value is passed.
    Since:
      5.3

  - ### getPlanningFolderSummary3List

    @Deprecated public PlanningFolderSummary3SoapList getPlanningFolderSummary3List(String sessionId, String parentId, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolderSummary4List
    Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
    Specified by:
      `getPlanningFolderSummary3List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid argument value is passed.
    Since:
      7.1

  - ### getPlanningFolderSummary4List

    public PlanningFolderSummary4SoapList getPlanningFolderSummary4List(String sessionId, String parentId, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
    Specified by:
      `getPlanningFolderSummary4List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid argument value is passed.
    Since:
      7.2

  - ### getPlanningFolderSummary5List

    public PlanningFolderSummary5SoapList getPlanningFolderSummary5List(String sessionId, String parentId, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
    Specified by:
      `getPlanningFolderSummary5List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid argument value is passed.
    Since:
      8.2

  - ### setPlanningFolderData

    @Deprecated public void setPlanningFolderData(String sessionId, PlanningFolderSoapDO planningFolderData) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault, VersionMismatchFault
    Deprecated.
    in favor of setPlanningFolder4Data
    Sets data on a specific planning folder.
    Specified by:
      `setPlanningFolderData` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderData` - Detailed data on the planning folder to set.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid data is specified.
      `VersionMismatchFault` - when the data object is not up to date any more.
    Since:
      5.3

  - ### setPlanningFolder2Data

    @Deprecated public void setPlanningFolder2Data(String sessionId, PlanningFolder2SoapDO planningFolderData) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault, VersionMismatchFault
    Deprecated.
    in favor of setPlanningFolder4Data
    Sets data on a specific planning folder.
    Specified by:
      `setPlanningFolder2Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderData` - Detailed data on the planning folder to set.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid data is specified.
      `VersionMismatchFault` - when the data object is not up to date any more.
    Since:
      6.2

  - ### setPlanningFolder3Data

    @Deprecated public void setPlanningFolder3Data(String sessionId, PlanningFolder3SoapDO planningFolderData) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault, VersionMismatchFault
    Deprecated.
    in favor of setPlanningFolder4Data
    Sets data on a specific planning folder.
    Specified by:
      `setPlanningFolder3Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderData` - Detailed data on the planning folder to set.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid data is specified.
      `VersionMismatchFault` - when the data object is not up to date any more.
    Since:
      7.1

  - ### setPlanningFolder4Data

    @Deprecated public void setPlanningFolder4Data(String sessionId, PlanningFolder4SoapDO planningFolderData) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault, VersionMismatchFault
    Deprecated.
    in favor of setPlanningFolder5Data
    Sets data on a specific planning folder.
    Specified by:
      `setPlanningFolder4Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderData` - Detailed data on the planning folder to set.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid data is specified.
      `VersionMismatchFault` - when the data object is not up to date any more.
    Since:
      7.2

  - ### setPlanningFolder5Data

    public void setPlanningFolder5Data(String sessionId, PlanningFolder5SoapDO planningFolderData) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault, VersionMismatchFault
    Sets data on a specific planning folder.
    Specified by:
      `setPlanningFolder5Data` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderData` - Detailed data on the planning folder to set.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when invalid data is specified.
      `VersionMismatchFault` - when the data object is not up to date any more.
    Since:
      8.2

  - ### getPlanningFolderList

    @Deprecated public PlanningFolderSoapList getPlanningFolderList(String sessionId, String parentId, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolder4List
    Returns the list of planning folders within the specified project. Planning folders having the same parent are correctly ordered.
    Specified by:
      `getPlanningFolderList` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when ivalid argument value is passed.
    Since:
      5.3

  - ### getPlanningFolder2List

    @Deprecated public PlanningFolder2SoapList getPlanningFolder2List(String sessionId, String parentId, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolder4List
    Returns the list of planning folders within the specified project. Planning folders having the same parent are correctly ordered.
    Specified by:
      `getPlanningFolder2List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when ivalid argument value is passed.
    Since:
      6.2

  - ### getPlanningFolder3List

    @Deprecated public PlanningFolder3SoapList getPlanningFolder3List(String sessionId, String parentId, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Deprecated.
    in favor of getPlanningFolder4List
    Returns the list of planning folders within the specified project. Planning folders having the same parent are correctly ordered.
    Specified by:
      `getPlanningFolder3List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when ivalid argument value is passed.
    Since:
      7.1

  - ### getPlanningFolder4List

    public PlanningFolder4SoapList getPlanningFolder4List(String sessionId, String parentId, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Returns the list of planning folders within the specified project. Planning folders having the same parent are correctly ordered.
    Specified by:
      `getPlanningFolder4List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when ivalid argument value is passed.
    Since:
      7.2

  - ### getPlanningFolder5List

    public PlanningFolder5SoapList getPlanningFolder5List(String sessionId, String parentId, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Returns the list of planning folders within the specified project. Planning folders having the same parent are correctly ordered.
    Specified by:
      `getPlanningFolder5List` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
      `recursive` - Show subfolders of the planning folders returned
    Returns:
      List of filtered planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when ivalid argument value is passed.
    Since:
      8.2

  - ### getArtifactListInPlanningFolder

    @Deprecated public ArtifactsInPlanningFolderSoapList getArtifactListInPlanningFolder(String sessionId, String parentId, SoapFilter[] filters, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, InvalidFilterFault, IllegalArgumentFault
    Deprecated.
    in favor of getArtifactListInPlanningFolder2
    /**

    Returns the list of artifacts contained in a planning folder or its descendants. The difference between this call and getArtifactListInPlanningFolder is that the new list adds the story points, the status and the release.

    Specified by:
      `getArtifactListInPlanningFolder` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - if parentId is a planning folder id, this method will return artifacts that are part of this planning folder If parentId is a project id, this method will return all artifacts of the project not assigned to any planning folder
      `filters` - Array of filters to apply (null to return unfiltered list).
      `recursive` - indicates if descendents planning folder artifacts will be included in the result
    Returns:
      List of artifacts contained in the planning folder/its descendents or artifacts not planned yet.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - when the specified filters are invalid.
      `IllegalArgumentFault` - if invalid argument value is passed.
    Since:
      5.3

  - ### getArtifactListInPlanningFolder2

    public ArtifactsInPlanningFolder2SoapList getArtifactListInPlanningFolder2(String sessionId, String parentId, SoapFilter[] filters, boolean recursive) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, InvalidFilterFault, IllegalArgumentFault
    Returns the list of artifacts contained in a planning folder or its descendants. The difference between this call and getArtifactListInPlanningFolder is that the new list adds the team Id.
    Specified by:
      `getArtifactListInPlanningFolder2` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - if parentId is a planning folder id, this method will return artifacts that are part of this planning folder If parentId is a project id, this method will return all artifacts of the project not assigned to any planning folder
      `filters` - Array of filters to apply (null to return unfiltered list).
      `recursive` - indicates if descendents planning folder artifacts will be included in the result
    Returns:
      List of artifacts contained in the planning folder/its descendents or artifacts not planned yet.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - when the specified filters are invalid.
      `IllegalArgumentFault` - if invalid argument value is passed.
    Since:
      8.0

  - ### getArtifactListInPlanningFolder3

    public ArtifactsInPlanningFolder2SoapList getArtifactListInPlanningFolder3(String sessionId, String parentId, SoapFilter[] filters, boolean recursive, String[] teamId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, InvalidFilterFault, IllegalArgumentFault
    Returns the list of artifacts contained in a planning folder or its descendants. The difference between this call and getArtifactListInPlanningFolder2 is that artifacts contained in a planning folder and team will be returned. If teamId is not specified, it just shows the list of artifacts in that planning folder.
    Specified by:
      `getArtifactListInPlanningFolder3` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - if parentId is a planning folder id, this method will return artifacts that are part of this planning folder If parentId is a project id, this method will return all artifacts of the project not assigned to any planning folder
      `filters` - Array of filters to apply (null to return unfiltered list).
      `recursive` - indicates if descendents planning folder artifacts will be included in the result
      `teamId` - if teamId is specified it shows the list of artifacts in that team
    Returns:
      List of artifacts contained in the planning folder/its descendents or artifacts not planned yet.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - when the specified filters are invalid.
      `IllegalArgumentFault` - if invalid argument value is passed.
    Since:
      17.1

  - ### getRankedArtifactList

    @Deprecated public RankedArtifactSoapList getRankedArtifactList(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, InvalidFilterFault, IllegalArgumentFault
    Deprecated.
    in favor of getRankedArtifactList2
    Returns the list of artifacts assigned to a planning folder or its descendants with the rank information in the specified planning folder
    Specified by:
      `getRankedArtifactList` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - this method will return artifacts that are part of this planning folder or its descendants
    Returns:
      List of artifacts contained in the planning folder and its descendants with their rank in the specified planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - when the specified filters are invalid.
      `IllegalArgumentFault` - if invalid argument value is passed.
    Since:
      5.4

  - ### getRankedArtifactList2

    public RankedArtifact2SoapList getRankedArtifactList2(String sessionId, String planningFolderId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, InvalidFilterFault, IllegalArgumentFault
    Returns the list of artifacts assigned to a planning folder or its descendants with the rank information in the specified planning folder
    Specified by:
      `getRankedArtifactList2` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - this method will return artifacts that are part of this planning folder or its descendants
    Returns:
      List of artifacts contained in the planning folder and its descendants with their rank in the specified planning folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `InvalidFilterFault` - when the specified filters are invalid.
      `IllegalArgumentFault` - if invalid argument value is passed.
    Since:
      8.0

  - ### movePlanningFolder

    @Deprecated public PlanningFolderSoapDO movePlanningFolder(String sessionId, String planningFolderId, String destParentId) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, SystemFault, IllegalArgumentFault, PlanningFolderRuleViolationFault
    Deprecated.
    in favor of movePlanningFolder5
    Moves a Planning Folder including its sub folders and contents. Fails if not everything can be moved.
    Specified by:
      `movePlanningFolder` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - planning folder id to move.
      `destParentId` - destination planning folder id or project id if folder should become a top level planning folder
    Returns:
      new planning folder object
    Throws:
      `InvalidSessionFault` - when sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
    Since:
      5.3

  - ### movePlanningFolder2

    @Deprecated public PlanningFolder2SoapDO movePlanningFolder2(String sessionId, String planningFolderId, String destParentId) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, SystemFault, IllegalArgumentFault, PlanningFolderRuleViolationFault
    Deprecated.
    in favor of movePlanningFolder5
    Moves a Planning Folder including its sub folders and contents. Fails if not everything can be moved.
    Specified by:
      `movePlanningFolder2` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - planning folder id to move.
      `destParentId` - destination planning folder id or project id if folder should become a top level planning folder
    Returns:
      new planning folder object
    Throws:
      `InvalidSessionFault` - when sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
    Since:
      6.2

  - ### movePlanningFolder3

    @Deprecated public PlanningFolder3SoapDO movePlanningFolder3(String sessionId, String planningFolderId, String destParentId) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, SystemFault, IllegalArgumentFault, PlanningFolderRuleViolationFault
    Deprecated.
    in favor of movePlanningFolder5
    Moves a Planning Folder including its sub folders and contents. Fails if not everything can be moved.
    Specified by:
      `movePlanningFolder3` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - planning folder id to move.
      `destParentId` - destination planning folder id or project id if folder should become a top level planning folder
    Returns:
      new planning folder object
    Throws:
      `InvalidSessionFault` - when sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
    Since:
      7.1

  - ### movePlanningFolder4

    @Deprecated public PlanningFolder4SoapDO movePlanningFolder4(String sessionId, String planningFolderId, String destParentId) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, SystemFault, IllegalArgumentFault, PlanningFolderRuleViolationFault
    Deprecated.
    in favor of movePlanningFolder5
    Moves a Planning Folder including its sub folders and contents. Fails if not everything can be moved.
    Specified by:
      `movePlanningFolder4` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - planning folder id to move.
      `destParentId` - destination planning folder id or project id if folder should become a top level planning folder
    Returns:
      new planning folder object
    Throws:
      `InvalidSessionFault` - when sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
    Since:
      7.2

  - ### movePlanningFolder5

    public PlanningFolder5SoapDO movePlanningFolder5(String sessionId, String planningFolderId, String destParentId) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, SystemFault, IllegalArgumentFault, PlanningFolderRuleViolationFault
    Moves a Planning Folder including its sub folders and contents. Fails if not everything can be moved.
    Specified by:
      `movePlanningFolder5` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - planning folder id to move.
      `destParentId` - destination planning folder id or project id if folder should become a top level planning folder
    Returns:
      new planning folder object
    Throws:
      `InvalidSessionFault` - when sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
    Since:
      8.2

  - ### reorderPlanningFolders

    public void reorderPlanningFolders(String sessionId, String parentId, String[] planningFolderIds) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Sets a new order for the planning folders in their parent folder. The planning folders will be listed in this new order in UI.
    Specified by:
      `reorderPlanningFolders` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentId` - the id of the parent planning folder -or- the project id if the planning folders to sort are top level planning folders.
      `planningFolderIds` - an array of planning folder ids in their new order
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `IllegalArgumentFault` - if invalid argument value is passed.
    Since:
      5.3

  - ### deletePlanningFolder

    public void deletePlanningFolder(String sessionId, String planningFolderId) throws InvalidSessionFault, PermissionDeniedFault, NoSuchObjectFault, SystemFault, IllegalArgumentFault, VersionMismatchFault, PlanningFolderRuleViolationFault
    Deletes a planning folder with the specified id. All sub planning folders will be deleted as well. Tracker items in planning folder or sub planning folders will move up to the parent of the deleted planning folder or will lose their planning folder association at all if the deleted planning folder was a top-level folder.
    Specified by:
      `deletePlanningFolder` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `planningFolderId` - planning folder id to delete.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid
      `SystemFault` - when an unexpected system error occurs.
      `IllegalArgumentFault` - when one or more of the parameters are invalid.
      `VersionMismatchFault` - when an artifact associated to the planning folder or a sub planning folder has been modified in between the delete operation.
      `PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
    Since:
      5.3

  - ### setPlanningStatusValues

    public void setPlanningStatusValues(String sessionId, String projectId, PlanningStatusValueSoapDO[] statusValues) throws NoSuchObjectFault, InvalidSessionFault, PermissionDeniedFault, VersionMismatchFault, IllegalArgumentFault, InvalidOperationFault, SystemFault, DependencyViolationFault
    Sets status values that is associated with the planning application of a specific project.
    Specified by:
      `setPlanningStatusValues` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project for which to set the planning application status values.
      `statusValues` - Array of status values to set
    Throws:
      `NoSuchObjectFault` - when failed to get status field for the given project
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `VersionMismatchFault` - if the values have been updated since this status field was fetched
      `IllegalArgumentFault` - if the arguments are incorrectly specified. See FaultSummary for detail for the following: - DUPLICATE_FIELD_VALUE - ILLEGAL_FIELD_VALUE - INVALID_FIELD_VALUE - INVALID_DEFAULT_VALUE - INVALID_FIELD_OPTIONS_REQUIRED_DISABLED - INVALID_FIELD_VALUE_LENGTH - REQUIRED_FIELD_MISSING
      `InvalidOperationFault` - if the operation is not allowed. See FaultSummary for detail for the following: - INVALID_OPTION_DISABLE_RESERVED_FIELD - INVALID_OPTION_DISABLE_IN_USE_FIELD
      `SystemFault` - when an unexpected system error occurs.
      `DependencyViolationFault` - if changing a status violates artifact dependency
    Since:
      5.4
    See Also:
      - `FaultSummary`

  - ### getPlanningStatusValues

    public PlanningStatusValueSoapDO[] getPlanningStatusValues(String sessionId, String projectId) throws NoSuchObjectFault, InvalidSessionFault, PermissionDeniedFault, SystemFault
    Gets status values for the planning application of a specific project.
    Specified by:
      `getPlanningStatusValues` in interface `IPlanningAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project for which to set the planning application status values.
    Returns:
      Status values for the planning application.
    Throws:
      `NoSuchObjectFault` - when failed to get status field for the given project
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      5.4